Name:		__MKIT_PROJ_PKGNAME__
Version:	__MKIT_PROJ_VERSION__
Release:	1%{?dist}
Summary:	__MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:	    __MKIT_PROJ_VCS_BROWSER__

License:	LGPLv2
Source0:	%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	python
BuildRequires:	python-libs
BuildRequires:	shellfu => 0.10
BuildRequires:	shellfu < 0.11
BuildRequires:	shellfu-bash-pretty
Requires:	python
Requires:	python-libs
Requires:	shellfu => 0.10
Requires:	shellfu < 0.11
Requires:	shellfu-bash
Requires:	shellfu-bash-pretty

%description
UriPecker is Shellfu library of one function that takes a string on
standard output, and looks for things that look like could be URIs.
Besides real URIs, it can look for set of keywords and identifiers such
as 'build 1234', 'issue#45' or 'bz6789' and translate them based on a
simple INI file.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash

%files
%doc %{_docdir}/%{name}/README.md
%{_datadir}/shellfu/include-bash/uripecker.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
